
#include <p18cxxx.h>
#include <delays.h>

#include "spi.h"
#include "integer.h"
#include "pff.h"

#pragma config WDT = OFF, LVP = OFF, OSC = HSPLL, XINST = OFF

void toggleLED(void);
void main(void);

void main(void){
	FATFS fs;
	BYTE res;


    ADCON1 = 0x0F;
    TRISC = 0x00;
    TRISB = 0x00;

    pf_mount(0);

    LATBbits.LATB0 = 0;
    //while(res != 0){
        //res = disk_initialize();
    //}
    //toggleLED();

    res = 0xFF;
    while(res != 0){
        res = pf_mount(&fs);
    }
    toggleLED();

	while(1);
} 

void toggleLED(void){
    LATBbits.LATB0 = 1;
    Delay10KTCYx(250);
    Delay10KTCYx(250);
    Delay10KTCYx(250);
    Delay10KTCYx(250);
    LATBbits.LATB0 = 1;
}